Fulfillment & ShippingZones
List shipping zones
Lists shipping zones with name or code search and active-state filtering.
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Cursor from the previous response. Omit it on the first page.
search?string
Free-text search.
sortBy?string
Field to sort by.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
isActive?boolean
Only active items.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/shipping/zones" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "data": [ { "id": "7204558912004321806", "storeId": "7204558912004327977", "code": "POL-001", "name": "Envío estándar", "description": "Polo de algodón pima para uso diario.", "countryCodes": [ "Envío estándar" ], "provinceCodes": [ "Envío estándar" ], "cityNames": [ "Envío estándar" ], "districtNames": [ "Envío estándar" ], "postalCodes": [ "15074" ], "isActive": true, "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z" } ], "hasNextPage": true, "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ", "totalCount": 24}